# SPDX-FileCopyrightText: ☭ Emery Hemingway
# SPDX-License-Identifier: Unlicense

## Syndicate multitool.

import syndicate, syndicate/relays, syndicate/drivers/timers

import ./syndesizer/[
  base64_decoder,
  cache_actor,
  file_system_usage,
  json_socket_translator,
  json_translator,
  pulses,
  xml_translator]

runActor("syndesizer") do (turn: var Turn):
  resolveEnvironment(turn) do (turn: var Turn; ds: Cap):
    discard spawnTimerDriver(turn, ds)
    discard spawnBase64Decoder(turn, ds)
    discard spawnCacheActor(turn, ds)
    discard spawnFileSystemUsageActor(turn, ds)
    discard spawnJsonSocketTranslator(turn, ds)
    discard spawnJsonStdioTranslator(turn, ds)
    discard spawnPulseActor(turn, ds)
    discard spawnXmlTranslator(turn, ds)
