{ pkgs ? import <nixpkgs> { } }:

pkgs.buildNimPackage {
  name = "syndicate_utils";
  propagatedNativeBuildInputs = [ pkgs.pkg-config ];
  propagatedBuildInputs =
    [ pkgs.postgresql pkgs.sqlite pkgs.libxml2 pkgs.libxslt ];
  lockFile = ./lock.json;
  src = pkgs.lib.sources.cleanSource ./.;
}
